package com.gic.haoban.manage.service.pojo.bo.fee;

import java.io.Serializable;
import java.util.Date;

/**
 * 企业微信收费(TabHaobanQywxFee)实体类
 *
 * @author mozhu
 * @since 2022-08-03 16:12:30
 */
public class HaobanQywxFeeBO implements Serializable {
    private static final long serialVersionUID = -65108900619188163L;

    private Long qwFeeId;

    private String corpName;

    private String corpId;

    private String wxEnterpriseId;
    /**
     * 拦截时间
     */
    private Date interceptTime;
    /**
     * 拦截用户总数
     */
    private Integer interceptUserNum;
    /**
     * 剩余可用许可
     */
    private Integer permissionUserNum;
    /**
     * 购买许可总数
     */
    private Integer buyPermissionUserNum;
    /**
     * 拦截：1:已拦截；0：将被拦截
     */
    private Integer interceptFlag;
    private Integer transferUserNum;


    public Long getQwFeeId() {
        return qwFeeId;
    }

    public void setQwFeeId(Long qwFeeId) {
        this.qwFeeId = qwFeeId;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getCorpId() {
        return corpId;
    }

    public void setCorpId(String corpId) {
        this.corpId = corpId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Date getInterceptTime() {
        return interceptTime;
    }

    public void setInterceptTime(Date interceptTime) {
        this.interceptTime = interceptTime;
    }

    public Integer getInterceptUserNum() {
        return interceptUserNum;
    }

    public void setInterceptUserNum(Integer interceptUserNum) {
        this.interceptUserNum = interceptUserNum;
    }

    public Integer getPermissionUserNum() {
        return permissionUserNum;
    }

    public void setPermissionUserNum(Integer permissionUserNum) {
        this.permissionUserNum = permissionUserNum;
    }

    public Integer getBuyPermissionUserNum() {
        return buyPermissionUserNum;
    }

    public void setBuyPermissionUserNum(Integer buyPermissionUserNum) {
        this.buyPermissionUserNum = buyPermissionUserNum;
    }

    public Integer getInterceptFlag() {
        return interceptFlag;
    }

    public void setInterceptFlag(Integer interceptFlag) {
        this.interceptFlag = interceptFlag;
    }

    public Integer getTransferUserNum() {
        return transferUserNum;
    }

    public void setTransferUserNum(Integer transferUserNum) {
        this.transferUserNum = transferUserNum;
    }
}

